package ink.wgink.module.examine.enums.question;

/**
 * @ClassName: TestQuestionTypeEnum
 * @Description: 问题类型
 * @Author: WangGeng
 * @Date: 2020/9/10 15:27
 * @Version: 1.0
 **/
public enum QuestionTypeEnum {

    CHOICE("choice", "选择"),
    TURE_OR_FALSE("tureOrFalse", "真假"),
    FILL_IN_THE_BLANKS("fillInTheBlanks", "填空"),
    ANSWER("answer", "解答");

    private String value;
    private String text;

    QuestionTypeEnum(String value, String text) {
        this.value = value;
        this.text = text;
    }

    public String getValue() {
        return value == null ? "" : value.trim();
    }

    public String getText() {
        return text;
    }
}
